package com.qmth.teachcloud.report.business.bean.result;

import com.qmth.teachcloud.common.contant.SystemConstant;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Objects;

/**
 * @Description: TAExamCourseTeacherResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/10
 */
public class TAExamCourseTeacherResult implements Serializable {

    @ApiModelProperty(value = "老师姓名")
    private String teacherName;

    @ApiModelProperty(value = "学院参考人数")
    private Integer colRealityCount;

    @ApiModelProperty(value = "学院总人数")
    private Integer colTotalCount;

    @ApiModelProperty(value = "学院缺考人数")
    private Integer colAbsentCount;

    @ApiModelProperty(value = "学院最低分")
    private BigDecimal colMinScore;

    @ApiModelProperty(value = "学院最高分")
    private BigDecimal colMaxScore;

    @ApiModelProperty(value = "学院平均分")
    private BigDecimal colAvgScore;

    @ApiModelProperty(value = "学院上四分位数")
    private BigDecimal colUpperQuartile;

    @ApiModelProperty(value = "学院中位数")
    private BigDecimal colMedian;

    @ApiModelProperty(value = "学院下四分位数")
    private BigDecimal colLowerQuartile;

    @ApiModelProperty(value = "学院授课学生分数众数")
    private String colMode;

    @ApiModelProperty(value = "学院授课学生分数标准差")
    private BigDecimal colStandardDeviation;

    @ApiModelProperty(value = "学院相对位置")
    private BigDecimal colRelativePosition;

    @ApiModelProperty(value = "学校参考人数")
    private Integer schRealityCount;

    @ApiModelProperty(value = "学校总人数")
    private Integer schTotalCount;

    @ApiModelProperty(value = "学校缺考人数")
    private Integer schAbsentCount;

    @ApiModelProperty(value = "学校最低分")
    private BigDecimal schMinScore;

    @ApiModelProperty(value = "学校最高分")
    private BigDecimal schMaxScore;

    @ApiModelProperty(value = "学校平均分")
    private BigDecimal schAvgScore;

    @ApiModelProperty(value = "学校上四分位数")
    private BigDecimal schUpperQuartile;

    @ApiModelProperty(value = "学校中位数")
    private BigDecimal schMedian;

    @ApiModelProperty(value = "学校下四分位数")
    private BigDecimal schLowerQuartile;

    @ApiModelProperty(value = "学校授课学生分数众数")
    private String schMode;

    @ApiModelProperty(value = "学校授课学生分数标准差")
    private BigDecimal schStandardDeviation;

    @ApiModelProperty(value = "学校相对位置")
    private BigDecimal schRelativePosition;

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Integer getColRealityCount() {
        return colRealityCount;
    }

    public void setColRealityCount(Integer colRealityCount) {
        this.colRealityCount = colRealityCount;
    }

    public Integer getColTotalCount() {
        return colTotalCount;
    }

    public void setColTotalCount(Integer colTotalCount) {
        this.colTotalCount = colTotalCount;
    }

    public Integer getColAbsentCount() {
        return colAbsentCount;
    }

    public void setColAbsentCount(Integer colAbsentCount) {
        this.colAbsentCount = colAbsentCount;
    }

    public BigDecimal getColMinScore() {
        if (Objects.nonNull(colMinScore)) {
            return colMinScore.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colMinScore;
        }
    }

    public void setColMinScore(BigDecimal colMinScore) {
        this.colMinScore = colMinScore;
    }

    public BigDecimal getColMaxScore() {
        if (Objects.nonNull(colMaxScore)) {
            return colMaxScore.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colMaxScore;
        }
    }

    public void setColMaxScore(BigDecimal colMaxScore) {
        this.colMaxScore = colMaxScore;
    }

    public BigDecimal getColAvgScore() {
        if (Objects.nonNull(colAvgScore)) {
            return colAvgScore.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colAvgScore;
        }
    }

    public void setColAvgScore(BigDecimal colAvgScore) {
        this.colAvgScore = colAvgScore;
    }

    public BigDecimal getColUpperQuartile() {
        if (Objects.nonNull(colUpperQuartile)) {
            return colUpperQuartile.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colUpperQuartile;
        }
    }

    public void setColUpperQuartile(BigDecimal colUpperQuartile) {
        this.colUpperQuartile = colUpperQuartile;
    }

    public BigDecimal getColMedian() {
        if (Objects.nonNull(colMedian)) {
            return colMedian.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colMedian;
        }
    }

    public void setColMedian(BigDecimal colMedian) {
        this.colMedian = colMedian;
    }

    public BigDecimal getColLowerQuartile() {
        if (Objects.nonNull(colLowerQuartile)) {
            return colLowerQuartile.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colLowerQuartile;
        }
    }

    public void setColLowerQuartile(BigDecimal colLowerQuartile) {
        this.colLowerQuartile = colLowerQuartile;
    }

    public String getColMode() {
        return colMode;
    }

    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    public BigDecimal getColStandardDeviation() {
        if (Objects.nonNull(colStandardDeviation)) {
            return colStandardDeviation.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colStandardDeviation;
        }
    }

    public void setColStandardDeviation(BigDecimal colStandardDeviation) {
        this.colStandardDeviation = colStandardDeviation;
    }

    public BigDecimal getColRelativePosition() {
        if (Objects.nonNull(colRelativePosition)) {
            return colRelativePosition.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colRelativePosition;
        }
    }

    public void setColRelativePosition(BigDecimal colRelativePosition) {
        this.colRelativePosition = colRelativePosition;
    }

    public Integer getSchRealityCount() {
        return schRealityCount;
    }

    public void setSchRealityCount(Integer schRealityCount) {
        this.schRealityCount = schRealityCount;
    }

    public Integer getSchTotalCount() {
        return schTotalCount;
    }

    public void setSchTotalCount(Integer schTotalCount) {
        this.schTotalCount = schTotalCount;
    }

    public Integer getSchAbsentCount() {
        return schAbsentCount;
    }

    public void setSchAbsentCount(Integer schAbsentCount) {
        this.schAbsentCount = schAbsentCount;
    }

    public BigDecimal getSchMinScore() {
        if (Objects.nonNull(schMinScore)) {
            return schMinScore.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return schMinScore;
        }
    }

    public void setSchMinScore(BigDecimal schMinScore) {
        this.schMinScore = schMinScore;
    }

    public BigDecimal getSchMaxScore() {
        if (Objects.nonNull(schMaxScore)) {
            return schMaxScore.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return schMaxScore;
        }
    }

    public void setSchMaxScore(BigDecimal schMaxScore) {
        this.schMaxScore = schMaxScore;
    }

    public BigDecimal getSchAvgScore() {
        if (Objects.nonNull(schAvgScore)) {
            return schAvgScore.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return schAvgScore;
        }
    }

    public void setSchAvgScore(BigDecimal schAvgScore) {
        this.schAvgScore = schAvgScore;
    }

    public BigDecimal getSchUpperQuartile() {
        if (Objects.nonNull(schUpperQuartile)) {
            return schUpperQuartile.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return schUpperQuartile;
        }
    }

    public void setSchUpperQuartile(BigDecimal schUpperQuartile) {
        this.schUpperQuartile = schUpperQuartile;
    }

    public BigDecimal getSchMedian() {
        if (Objects.nonNull(schMedian)) {
            return schMedian.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return schMedian;
        }
    }

    public void setSchMedian(BigDecimal schMedian) {
        this.schMedian = schMedian;
    }

    public BigDecimal getSchLowerQuartile() {
        if (Objects.nonNull(schLowerQuartile)) {
            return schLowerQuartile.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return schLowerQuartile;
        }
    }

    public void setSchLowerQuartile(BigDecimal schLowerQuartile) {
        this.schLowerQuartile = schLowerQuartile;
    }

    public String getSchMode() {
        return schMode;
    }

    public void setSchMode(String schMode) {
        this.schMode = schMode;
    }

    public BigDecimal getSchStandardDeviation() {
        if (Objects.nonNull(schStandardDeviation)) {
            return schStandardDeviation.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return schStandardDeviation;
        }
    }

    public void setSchStandardDeviation(BigDecimal schStandardDeviation) {
        this.schStandardDeviation = schStandardDeviation;
    }

    public BigDecimal getSchRelativePosition() {
        if (Objects.nonNull(schRelativePosition)) {
            return schRelativePosition.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return schRelativePosition;
        }
    }

    public void setSchRelativePosition(BigDecimal schRelativePosition) {
        this.schRelativePosition = schRelativePosition;
    }
}
